Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing
Class MODULE

    java.lang.Object
      things.thing.BASE
          things.thing.MODULE

All Implemented Interfaces:
  BASEInterface, MODULEInterface

Direct Known Subclasses:
  PropertyUniverseActor

    public abstract class MODULE

extends BASE
implements MODULEInterface

A module. It is an implementation with access to services like a THING, but without the process workflow and it has no RESULTS.
The methods can be called directly after instantiating one.

Version:
  1.0

  Version History

      EPG - Initial - 26 FEB 07

Author:
  Erich P. Gatejen

Field Summary

Fields inherited from class things.thing.BASE
`localProperties, localSystemLogger, mySystemInterface`

Constructor Summary
`MODULE()`

Method Summary
`void` | `init(SystemInterface si)` Initialize this MODULE.
`abstract void` | `INITIALIZE()` This will be called during initialization.

Methods inherited from class things.thing.BASE
`CONFIG_PROPERTY_TOOLKIT, GET_LOGGER, GET_NAME, GET_UNIVERSE_ACCESSOR, GET_UNIVERSE, PROPERTY_READER_TOOLKIT, systemInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface things.thing.BASEInterface
`GET_LOGGER`

Constructor Detail

### MODULE

    public MODULE()

Method Detail

### INITIALIZE

    public abstract void INITIALIZE()
                             throws UserException

  This will be called during initialization. Expect it to happen at any time; if the module is already in use, you should re-initialize it. The System Data fields will be set when this is called.

  Throws:
    `UserException`

### init

    public void init(SystemInterface si)
              throws UserException

  Initialize this MODULE. This will be done by the kernel.

  Parameters:
    `si` - A system interface.
  Throws:
    `UserException` - which will always be a FAULT.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.